# default rules
homepage:
  url:   /
  param: { module: home, action: index }

contacto:
  url:   /contact
  param: { module: contacto, action: index }

contacto_ok:
  url:   /contactOK
  param: { module: contacto, action: thankyou }

hotel_search:
  url:   /recherche
  param: { module: hotel, action: search }

commentario:
  url:   /:page_name/commentaire
  class:   sfDoctrineRoute
  options: { model: hotels, type: object }
  param: { module: reviews, action: new }
  requirements: { sf_method: get }
  
commentario_novo:
  url:   /:page_name/vcommentaire
  class:   sfDoctrineRoute
  options: { model: hotels, type: object }
  param: { module: reviews, action: create }
  requirements: { sf_method: post }
  
listview:
  url:   /hotels
  param: { module: areas, action: index }
    
area_overview:
  url:   /:area_url
  class:   sfDoctrineRoute
  options: { model: areas, type: object }
  param: { module: areas, action: show }
  requirements:
    sf_method: get
    area_url: ^hotels-.*

facility:
  url:   /:facility_url
  class:   sfDoctrineRoute
  options: { model: facility, type: object }
  param: { module: facility, action: show }
  requirements:
    sf_method: get
    facility_url: ^avec-.*

category:
  url:   /:category_url
  class:   sfDoctrineRoute
  options: { model: category, type: object }
  param: { module: category, action: show }
  requirements:
    sf_method: get
    category_url: ^.*-etoiles

interest:
  url:   /:interest_url
  class:   sfDoctrineRoute
  options: { model: interest, type: object }
  param: { module: interest, action: show }
  requirements:
    sf_method: get
    interest_url: ^proche-.*

tag:
  url:   /:tag_url
  class:   sfDoctrineRoute
  options: { model: tag, type: object }
  param: { module: tag, action: show }
  requirements:
    sf_method: get
    tag_url: ^selection-.*

hotel_overview:
  url:   /:page_name
  class:   sfDoctrineRoute
  options: { model: hotels, type: object }
  param: { module: hotel, action: show }
  requirements: { sf_method: get }
